    POSTCONF(1)                                           POSTCONF(1)

    NAME
           postconf - Postfix configuration utility

    SYNOPSIS
           postconf [-dhmlnv] [-c config_dir] [parameter ...]

           postconf [-ev] [-c config_dir] [parameter=value ...]

    DESCRIPTION
           The  postconf command prints the actual value of parameter
           (all known parameters by default) one parameter per  line,
           changes  its  value, or prints other information about the
           Postfix mail system.

           Options:

           -c config_dir
                  The main.cf configuration  file  is  in  the  named
                  directory  instead  of  the  default  configuration
                  directory.

           -d     Print default parameter settings instead of  actual
                  settings.

           -e     Edit  the  main.cf  configuration file. The file is
                  copied to a temporary file then renamed into place.
                  Parameters  and values are specified on the command
                  line.  Use  quotes  in  order  to   protect   shell
                  metacharacters and whitespace.

           -h     Show  parameter  values  only,  not the ``name = ''
                  label that normally precedes the value.

           -l     List the names of  all  supported  mailbox  locking
                  methods.  Postfix supports the following methods:

                  flock  A  kernel-based  advisory locking method for
                         local files only.  This  locking  method  is
                         available only on systems with a BSD compat-
                         ible library.

                  fcntl  A kernel-based advisory locking  method  for
                         local and remote files.

                  dotlock
                         An   application-level  locking  method.  An
                         application locks a file named  filename  by
                         creating  a  file  named filename.lock.  The
                         application is expected to  remove  its  own
                         lock  file, as well as stale lock files that
                         were left behind after abnormal termination.

           -m     List the names of all supported lookup table types.
                  Postfix lookup tables are specified  as  type:name,
                  where  type  is  one of the types listed below. The
                  table name syntax depends on the lookup table type.

                  btree  A  sorted, balanced tree structure.  This is
                         available only on systems with  support  for
                         Berkeley DB databases.

                  cidr   A  table  that associates values with Class-
                         less Inter-Domain Routing  (CIDR)  patterns.
                         This is described in cidr_table(5).

                  dbm    An indexed file type based on hashing.  This
                         is available only on  systems  with  support
                         for DBM databases.

                  environ
                         The  UNIX  process  environment  array.  The
                         lookup key is the variable name.  Originally
                         implemented  for  testing,  someone may find
                         this useful someday.

                  hash   An indexed file type based on hashing.  This
                         is  available  only  on systems with support
                         for Berkeley DB databases.

                  ldap (read-only)
                         Perform lookups  using  the  LDAP  protocol.
                         This is described in ldap_table(5).

                  mysql (read-only)
                         Perform  lookups  using  the MYSQL protocol.
                         This is described in mysql_table(5).

                  pcre (read-only)
                         A lookup table based on Perl Compatible Reg-
                         ular   Expressions.   The   file  format  is
                         described in pcre_table(5).

                  pgsql (read-only)
                         Perform lookups using the PostgreSQL  proto-
                         col. This is described in pgsql_table(5).

                  proxy (read-only)
                         A  lookup  table that is implemented via the
                         Postfix proxymap(8) service. The table  name
                         syntax is type:name.

                  regexp (read-only)
                         A lookup table based on regular expressions.
                         The  file  format  is  described   in   reg-
                         exp_table(5).

                  static (read-only)
                         A  table  that  always  returns  its name as
                         lookup result.  For  example,  static:foobar
                         always  returns  the string foobar as lookup
                         result.

                  tcp (read-only)
                         Perform lookups using a simple request-reply
                         protocol  that is described in tcp_table(5).
                         This feature is not  included  with  Postfix
                         2.1.

                  unix (read-only)
                         A  limited way to query the UNIX authentica-
                         tion  database.  The  following  tables  are
                         implemented:

                         unix:passwd.byname
                                 The   table  is  the  UNIX  password
                                 database. The key is a  login  name.
                                 The  result is a password file entry
                                 in passwd(5) format.

                         unix:group.byname
                                 The  table   is   the   UNIX   group
                                 database.  The  key is a group name.
                                 The result is a group file entry  in
                                 group(5) format.

           Other  table  types may exist depending on how Postfix was
           built.

           -n     Print parameter settings that are not left at their
                  built-in default value, because they are explicitly
                  specified in main.cf.

           -v     Enable verbose logging for debugging purposes. Mul-
                  tiple  -v  options  make  the software increasingly
                  verbose.

    DIAGNOSTICS
           Problems are reported to the standard error stream.

    ENVIRONMENT
           MAIL_CONFIG
                  Directory with Postfix configuration files.

    CONFIGURATION PARAMETERS
           The following main.cf parameters are  especially  relevant
           to this program.

           The  text  below  provides  only  a parameter summary. See
           postconf(5) for more details including examples.

           config_directory (see 'postconf -d' output)
                  The default location of  the  Postfix  main.cf  and
                  master.cf configuration files.

    FILES
           /etc/postfix/main.cf, Postfix configuration parameters

    SEE ALSO
           postconf(5), configuration parameters

    README FILES
           DATABASE_README, Postfix lookup table overview

    LICENSE
           The Secure Mailer license must be  distributed  with  this
           software.

    AUTHOR(S)
           Wietse Venema
           IBM T.J. Watson Research
           P.O. Box 704
           Yorktown Heights, NY 10598, USA

                                                          POSTCONF(1)